Summary:        GnuPG Made Easy interface library
Name:           gpgme03
Version:        0.3.16
Release:        0.fdr.3.1
Epoch:          0
License:        GPL
Group:          Applications/System
Source:         ftp://ftp.gnupg.org/gcrypt/gpgme/gpgme-0.3.16.tar.gz
URL:            http://www.gnupg.org/related_software/gpgme/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gnupg >= 0:1.2.0, %{_bindir}/gpgsm, pth-devel
Requires:       gnupg >= 0:1.2.0, %{_bindir}/gpgsm

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG easier
for applications. It provides a High-Level Crypto API for encryption,
decryption, signing, signature verification and key management.

%package        devel
Summary:        Software development files for GnuPG Made Easy
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info
Conflicts:	gpgme-devel

%description    devel
Static library, object and header files for GnuPG Made Easy (GPGME).


%prep
%setup -q -n gpgme-%{version}


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=${RPM_BUILD_ROOT}
rm -f $RPM_BUILD_ROOT{%{_infodir}/dir,%{_libdir}/*.la}


%check || :
make check


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
/sbin/install-info %{_infodir}/gpgme.info %{_infodir}/dir 2>/dev/null || :

%postun devel
if [ $1 -eq 0 ] ; then
  /sbin/install-info --delete %{_infodir}/gpgme.info \
     %{_infodir}/dir 2>/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README* THANKS TODO VERSION
%{_libdir}/libgpgme.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/gpgme-config
%{_includedir}/gpgme.h
%{_libdir}/libgpgme.a
%{_libdir}/libgpgme.so
%{_datadir}/aclocal/gpgme.m4
%{_infodir}/gpgme.info*


%changelog
* Sun May  2 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.16-0.fdr.3
- Require %%{_bindir}/gpgsm instead of newpg.
- Cosmetic spec file improvements.
- Move install-info dependency to -devel.
- Do not fail with --excludedocs installs.

* Sat Dec 06 2003 Dennis Gilmore <dennis@ausil.us> 0:0.3.16-0.fdr.2
- Spec file clean up, update description

* Tue Dec 02 2003 Dennis Gilmore <dennis@ausil.us> 0:0.3.16-0.fdr.1
- upgrade to 0.3.16, remove virtual providesas it seems to be causing bugs now

* Wed Apr 23 2003 Warren Togami <warren@togami.com> 0:0.3.15-0.fdr.2
- newpg BuildRequire 0.9.0 -> 0.9.2

* Sun Apr 13 2003 Dennis Gilmore <dennis@aust.homelinux.net> 0.3.15-0.fdr.1
- build gpgme3 for use with cryptplug for kmail gpg  plugin

* Sat Mar 22 2003 Ville Skytt?<ville.skytta at iki.fi> - 0:0.4.0-0.fdr.1
- Update to current Fedora guidelines.
- Exclude %%{_libdir}/*.la.

* Tue Feb 12 2003 Warren Togami <warren@togami.com> 0.4.0-1.fedora.3
- info/dir temporary workaround

* Sat Feb  8 2003 Ville Skytt?<ville.skytta at iki.fi> - 0.4.0-1.fedora.1
- First Fedora release.
